package com.artfess.base.exception;

import com.artfess.base.enums.ResponseErrorEnums;

/**
 * 引用程序异常
 *
 * @author
 */
public class ApplicationException extends BaseException {

    private static final long serialVersionUID = 1L;

    public ApplicationException() {
        super(ResponseErrorEnums.SERVICE_INVOKE_ERROR);
    }

    public ApplicationException(String s) {
        super(s);
    }

    public ApplicationException(String s, Throwable throwable) {
        super(s, throwable);
    }

    public ApplicationException(Throwable throwable) {
        super(throwable);
    }
}
